.\" /u/sy/beebe/src/multipage/psmultipage.man, Thu May 30 12:17:42 1991
.\" Edit by Nelson H.F. Beebe <beebe@magna.math.utah.edu>
.\"=========================================================
.ds Ps P\s-2OST\s+2S\s-2CRIPT\s+2
.if t .ds Te T\\h'-0.1667m'\\v'0.20v'E\\v'-0.20v'\\h'-0.125m'X
.if n .ds Te TeX
.ds Xw X Window System
.TH PSMULTIPAGE 1L "31 May 1991"
.\"=========================================================
.SH "NAME"
psmultipage \- convert multipage \&\*(Ps\& file(s) to \
\&\*(Ps\& for reduced n by m printing
.\"=========================================================
.SH "SYNOPSIS"
.BI psmultipage " rows columns"
<infile >outfile
.PP
.BI psmultipage " rows columns"
file1 file2 \|.\|.\. >outfile
.\"=========================================================
.SH "DESCRIPTION"
.B psmultipage
converts one or more multipage \&\*(Ps\& files to
one in which multiple page images will be printed
on a single output page, in a grid of
.I r
rows by
.I c
columns.
.PP
This conversion is particularly effective if the
\&\*(Ps\& pages are simple line graphics, or
overhead slides in large font sizes.
.PP
If no files are specified on the command line,
then standard input is assumed to contain the
\&\*(Ps\& stream.
.PP
If the
.I rows
and
.I columns
arguments are omitted, then a 2 by 2 grid is
assumed.
.PP
In the current version, pages are arranged
vertically on the grid; that is, pages are imaged
in cells down the first column before moving to
the second column.
.PP
The output page is divided into equal cells
according to the specified number of rows and
columns.  In general, the aspect ratio of these
cells will be different from that of the original
page,
.I "unless the numbers of rows and columns are identical."
Thus, some stretching or shrinking of the page
images is expected.
.PP
Because the output page images are reduced in
size, some distortion in quality is expected on
typical 300dpi \&\*(Ps\& laser printers.  This
will particularly be true if the output contains
bitmap images, or bitmapped fonts downloaded by a
\&\*(Te\& DVI driver, and the quality will be
worse when the aspect ratio is not preserved.
.PP
Most laser printers have rather limited memory,
and the multiple page images may exceed printer
capacity.  Experiments with a 200KB 16-page
\&\*(Ps\& test file from SLi\&\*(Te\& on a 1MB
Apple Laserwriter II showed that 2 by 2 printing
was successful only for one page.  On a 6MB Imagen
3320 printer, all sizes up to 4 by 4 printed
without problems.
.PP
Finally, laser printers process the output
\&\*(Ps\& rather slowly; expect the printing time
to be about the same as for separate page images.
.\"=========================================================
.SH "BUGS"
If
.B psmultipage
produces output that fails to print correctly, it
is very like that the input file violated Adobe's
guidelines for Encapsulated PostScript.
.PP
One possible cause is the use of any of these
operators, which can change the image
transformation:
.nf
\&\fC
banddevice      grestoreall     nulldevice      setpageparams
copypage        initclip        quit            setsccbatch
erasepage       initgraphics    renderbands     setscreen
exitserver      initmatrix      setdevice       settransfer
framedevice     note            setmatrix
\&\fP
.fi
.PP
A second cause is the issuing of
.I showpage
between
.I save
and
.I restore
commands; the
.I restore
invalidates the work done by
.BR psmultipage 's
modified
.IR showpage .
The
.I showpage
command should follow any
.IR restore .
.\"=========================================================
.SH "SEE ALSO"
.IR dvialw (1L),
.IR dvips (1L),
.IR lptops (1L),
.IR ps4014 (1L),
.IR slitex (1L),
.IR tekalw (1L),
.IR tex (1L),
.IR tkvecs (1L),
.IR x79ps (1L).
.\"=========================================================
.SH "AUTHOR"
Nelson H. F. Beebe, Ph.D.
.br
Center for Scientific Computing
.br
Department of Mathematics
.br
220 South Physics Building
.br
University of Utah
.br
Salt Lake City, UT 84112
.br
Tel: (801) 581-5254
.br
FAX: (801) 581-4148
.br
E-mail: <beebe@math.utah.edu>
.\"=========================================================
.SH "NO COPYRIGHT"
This program,
.BR psmultipage (1L),
and this manual page documentation, are in the
.IR "public domain",
and may be freely distributed and used for any
purpose without restriction.  Although the current
implementation is in the form of a UNIX shell
script using only the
.BR cat (1)
utility, it should be relatively trivial to port
to any other operating system that has an adequate
command shell facility, or an implementation of a
string processing language like
.BR awk (1)
or
.BR perl (1).
.SH "NOTES"
\&\*(Ps\&
is a trademark of Adobe Systems Incorporated.
.\"=========================================================
.\" Set EMACS editing options:
.\" Local Variables:
.\" fill-column: 50
.\" End:
